{
	// характеристики спрайта
	sprite : {
		// источник
		src: "i/chars.png",
		
		// размеры
		width: 64,
		height: 64,
		
		// центр
		x: 32,
		y: 64		
	},
	
	// анимация
	animations:{
		idle:[ [@,0], [@,1], [@,2], [@,3], [@,2], [@,1] ],
		dmg:[ [@,6], [@,5], [@,4], [@,4] ],
		attack1:[ [@,6], [@,8], [@,6] ],
		attack2:[ [@,9], [@,10], [@,11] ],
		block:[ [@,6], [@,6], [@,6], [@,6] ]
	},
	
	/** действия при простой атаке
	 *
	 */
	doAttack1: function(person) {
	},
	
	/** действия при альтернативной атаке
	 *
	 */
	doAttack: function(person) {
	},
	
	/** действия при удачном блоке
	 *
	 */
	doBlock: function(person) {
	},
	
	/** реакция получение повреждения
	 *
	 */
	onDemmage: function(person, dmg) {
	},
	
	/** движение персонажа
	 *
	 * @retrurn []
	 */
	onMove: function(tx, ty) {
	},
	
	/** движение другого персонажа в точку
	 *
	 * @retrurn []
	 */
	onPersonMove: function(person, tX, tY) {
	}
}
